#!/bin/bash
disable_track=2
enable_track=1
enable_sub_track=4
disable_sub_track=5


for f in ./*.mkv; do
  mkvpropedit "$f" --edit track:a$disable_track --set flag-default=0;
  mkvpropedit "$f" --edit track:a$enable_track --set flag-default=1;
  mkvpropedit "$f" --edit track:s$disable_sub_track --set flag-default=0;
  mkvpropedit "$f" --edit track:s$enable_sub_track --set flag-default=1;
done

